Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__businessInfo Class Reference

Schema urn:uddi-org:api_v2:"businessInfo". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__businessInfo:

[legend]
List of all members.

## Public Attributes
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded.
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
uddi2__serviceInfos * | serviceInfos
| Element reference "urn:uddi-org:api_v2":serviceInfos.
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"businessInfo".

## Member Data Documentation

uddi2__businessKey uddi2__businessInfo::businessKey

| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey. Required attribute

std::vector<uddi2__description* > uddi2__businessInfo::description

| Vector of uddi2__description* with length 0..unbounded.

std::vector<uddi2__name* > uddi2__businessInfo::name

| Vector of uddi2__name* with length 0..unbounded.

uddi2__serviceInfos* uddi2__businessInfo::serviceInfos

| Element reference "urn:uddi-org:api_v2":serviceInfos. Required element

struct soap* uddi2__businessInfo::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h